org.codehaus.groovy.reflection

## Class GeneratedMetaMethod.DgmMethodRecord

- java.lang.Object
- - org.codehaus.groovy.reflection.GeneratedMetaMethod.DgmMethodRecord

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    GeneratedMetaMethod

      public static class GeneratedMetaMethod.DgmMethodRecord
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `className`
    `String` | `methodName`
    `Class[]` | `parameters`
    `Class` | `returnType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratedMetaMethod.DgmMethodRecord()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<GeneratedMetaMethod.DgmMethodRecord>` | `loadDgmInfo()`
    `static void` | `saveDgmInfo(List<GeneratedMetaMethod.DgmMethodRecord> records, String file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          public String className

    - #### methodName

          public String methodName

    - #### returnType

          public Class returnType

    - #### parameters

          public Class[] parameters

  - ### Constructor Detail

    - #### GeneratedMetaMethod.DgmMethodRecord

          public GeneratedMetaMethod.DgmMethodRecord()

  - ### Method Detail

    - #### saveDgmInfo

          public static void saveDgmInfo(List<GeneratedMetaMethod.DgmMethodRecord> records,
                         String file)
                                  throws IOException

      Throws:
        `IOException`

    - #### loadDgmInfo

          public static List<GeneratedMetaMethod.DgmMethodRecord> loadDgmInfo()
                                                                       throws IOException,
                                                                              ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`